Bug 122778 - Wrong focus after copy&paste from another slide
Summary: Wrong focus after copy&paste from another slide
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: x86-64 (AMD64) All
: low minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Slide-Page-Pane Impress-Images
  Show dependency treegraph
 
Reported: 2019-01-17 07:26 UTC by DarkTrick
Modified: 2022-10-26 03:35 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description DarkTrick 2019-01-17 07:26:33 UTC
Reproduce:
1. Create Presentation with four slides
2. Select first slide 
3. Add a picture to the slide 
4. Mark the picture and copy it
5. Use the "Slides"-Sidebar to select the 3rd slide
6. Paste the picture
7. The picture will be pasted. It will be marked. 
8. Click the "arrow down" key on the keyboard.
9. The slide 4 will be selected


Expected:
@9: Picture moves down a little
Comment 1 Durgapriyanka 2019-01-17 18:02:29 UTC
Thank you for reporting the bug. Reproducible in 

Version: 6.3.0.0.alpha0+
Build ID: 3c964980da07892a02d5ac721d80558c459532d0
CPU threads: 2; OS: Windows 6.1; UI render: default; VCL: win; 
TinderBox: Win-x86@42, Branch:master, Time: 2018-12-12_02:07:45
Locale: en-US (en_US); UI-Language: en-US
Calc: threaded
Comment 2 raal 2019-01-18 08:44:15 UTC
repro Version: 4.4.0.0.alpha0+
Comment 3 Buovjaga 2019-01-27 16:07:03 UTC
Repro in 3.3.0 on Win 10
Comment 4 hardy 2019-08-11 14:22:33 UTC
I have also hit this bug in the current 6.3.0.4 release.

I find this behavior very annoying, because after the "paste" action, my newly pasted object is visually highlighted properly! This intuitivle tells me the object has the focus and can be moved (as all other marked objects can be in Impress). But trying to move it (via the keyboard) miserably fails. Afterwards I need to (1) refind the slide, (2) remark the object (which can be tedious in complex slides, (3) remember what I wanted to do in the first place (4) re-do it.
Comment 5 DarkTrick 2019-08-13 04:38:59 UTC
Repro in 6.4.0.0.alpha0+
Comment 6 QA Administrators 2022-10-26 03:35:55 UTC
Dear DarkTrick,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://web.libera.chat/?settings=#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug